rb_mutex_struct Struct Reference

## Data Fields

rb_thread_lock_t | lock
rb_thread_cond_t | cond
struct rb_thread_struct volatile * | th
int | cond_waiting
struct rb_mutex_struct * | next_mutex

## Detailed Description

Definition at line 325 of file thread.c.

## Field Documentation

rb_thread_cond_t rb_mutex_struct::cond

Definition at line 328 of file thread.c.

Referenced by lock_func(), lock_interrupt(), mutex_alloc(), mutex_free(), and rb_mutex_unlock_th().

int rb_mutex_struct::cond_waiting

Definition at line 330 of file thread.c.

Referenced by check_deadlock_i(), lock_func(), lock_interrupt(), and rb_mutex_unlock_th().

rb_thread_lock_t rb_mutex_struct::lock

Definition at line 327 of file thread.c.

Referenced by check_deadlock_i(), lock_func(), lock_interrupt(), mutex_alloc(), mutex_free(), rb_mutex_lock(), rb_mutex_trylock(), and rb_mutex_unlock_th().

struct rb_mutex_struct* rb_mutex_struct::next_mutex

Definition at line 331 of file thread.c.

Referenced by mutex_locked(), rb_mutex_abandon_all(), rb_mutex_unlock_th(), and rb_threadptr_unlock_all_locking_mutexes().

struct rb_thread_struct volatile* rb_mutex_struct::th

Definition at line 329 of file thread.c.

Referenced by check_deadlock_i(), lock_func(), mutex_free(), rb_barrier_wait(), rb_mutex_abandon_all(), rb_mutex_lock(), rb_mutex_locked_p(), rb_mutex_trylock(), rb_mutex_unlock_th(), rb_thread_terminate_all(), thread_cleanup_func(), thread_cleanup_func_before_exec(), thread_create_core(), thread_initialize(), and thread_s_new().

The documentation for this struct was generated from the following file:

- thread.c